> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatgrid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Boards

> Returns a paginated list of boards owned by the authenticated user.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.chatgrid.ai/v1/boards?limit=10&order=desc \
    -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
  ```

  ```typescript Node.js theme={null}
  const response = await fetch(
    "https://api.chatgrid.ai/v1/boards?limit=10&order=desc",
    { headers: { Authorization: "Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" } }
  );
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  resp = requests.get(
      "https://api.chatgrid.ai/v1/boards",
      headers={"Authorization": "Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"},
      params={"limit": 10, "order": "desc"},
  )
  data = resp.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "Q1 Marketing Plan",
        "created_at": "2026-03-15T10:30:00.000Z",
        "updated_at": "2026-03-15T12:45:00.000Z",
        "is_public": false
      }
    ],
    "has_more": true,
    "cursor": "eyJpZCI6ImExYjJjM2Q0LWU1ZjYtNzg5MC1hYmNkLWVmMTIzNDU2Nzg5MCIsImNyZWF0ZWRfYXQiOiIyMDI2LTAzLTE1VDEwOjMwOjAwLjAwMFoifQ"
  }
  ```
</ResponseExample>
